Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorClassImage Class Reference

Represents a color segmented image. More...

`#include <ColorClassImage.h>`

List of all members.

## Public Member Functions
| ColorClassImage ()
| Constructor.
unsigned char | getClassifiedColorAGILO (unsigned long index)
void | convertToImage (Image &image)
## Public Attributes
unsigned char | image [cameraResolutionHeight_ERS7 *2][cameraResolutionWidth_ERS7 *2]
| A bitmap containing the color class for every pixel in the orignial image.
int | height
| the height of the image
int | width
| the width of the image

## Detailed Description

Represents a color segmented image.

This doesn't have to be used by image processors, because they might be faster without generating a representation like ColorClassImage, but it is needed for visualizing how color tables segment images.

Author:
  Martin Lötzsch

Definition at line 25 of file ColorClassImage.h.

## Constructor & Destructor Documentation

ColorClassImage::ColorClassImage | ( |  | ) |

| Constructor. Definition at line 13 of file ColorClassImage.cpp.

## Member Function Documentation

unsigned char ColorClassImage::getClassifiedColorAGILO | ( | unsigned long | index | ) |

void ColorClassImage::convertToImage | ( | Image & | image | ) |

| Definition at line 18 of file ColorClassImage.cpp. References Image::cameraInfo, Image::image, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

## Member Data Documentation

unsigned char ColorClassImage::image[cameraResolutionHeight_ERS7 * 2][cameraResolutionWidth_ERS7 * 2]

| A bitmap containing the color class for every pixel in the orignial image. Definition at line 36 of file ColorClassImage.h. Referenced by ColorTableTSL::generateColorClassImage(), ColorTable64::generateColorClassImage(), ColorTable32K::generateColorClassImage(), ColorTable64::generateHighResColorClassImage(), ColorTable32K::generateHighResColorClassImage(), ColorTableTSL::generateTSLDialogImage(), operator<<(), and operator>>().

int ColorClassImage::height

| the height of the image Definition at line 39 of file ColorClassImage.h. Referenced by ColorTableTSL::generateColorClassImage(), ColorTable64::generateColorClassImage(), ColorTable32K::generateColorClassImage(), ColorTable64::generateHighResColorClassImage(), ColorTable32K::generateHighResColorClassImage(), ColorTableTSL::generateTSLDialogImage(), operator<<(), and operator>>().

int ColorClassImage::width

| the width of the image Definition at line 42 of file ColorClassImage.h. Referenced by ColorTableTSL::generateColorClassImage(), ColorTable64::generateColorClassImage(), ColorTable32K::generateColorClassImage(), ColorTable64::generateHighResColorClassImage(), ColorTable32K::generateHighResColorClassImage(), ColorTableTSL::generateTSLDialogImage(), operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Perception/ColorClassImage.h
- Representations/Perception/ColorClassImage.cpp